Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.profile.saml2
Class SSOProfileHandler.SSORequestContext

    java.lang.Object
      org.opensaml.ws.message.BaseMessageContext
          org.opensaml.common.binding.BasicSAMLMessageContext<InboundMessage,OutboundMessage,NameIdentifierType>
              edu.internet2.middleware.shibboleth.common.profile.provider.BaseSAMLProfileRequestContext<RequestType,ResponseType,org.opensaml.saml2.core.NameID,ProfileConfigurationType>
                  edu.internet2.middleware.shibboleth.idp.profile.saml2.BaseSAML2ProfileRequestContext<org.opensaml.saml2.core.AuthnRequest,org.opensaml.saml2.core.Response,edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml2.SSOConfiguration>
                      edu.internet2.middleware.shibboleth.idp.profile.saml2.SSOProfileHandler.SSORequestContext

All Implemented Interfaces:
  edu.internet2.middleware.shibboleth.common.attribute.AttributeRequestContext, edu.internet2.middleware.shibboleth.common.profile.ProfileRequestContext<edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml2.SSOConfiguration>, edu.internet2.middleware.shibboleth.common.profile.provider.SAMLProfileRequestContext<org.opensaml.saml2.core.AuthnRequest,org.opensaml.saml2.core.Response,org.opensaml.saml2.core.NameID,edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml2.SSOConfiguration>, org.opensaml.common.binding.SAMLMessageContext<org.opensaml.saml2.core.AuthnRequest,org.opensaml.saml2.core.Response,org.opensaml.saml2.core.NameID>, org.opensaml.ws.message.MessageContext

Enclosing class:
  SSOProfileHandler

    protected class SSOProfileHandler.SSORequestContext

extends BaseSAML2ProfileRequestContext<org.opensaml.saml2.core.AuthnRequest,org.opensaml.saml2.core.Response,edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml2.SSOConfiguration>

Represents the internal state of a SAML 2.0 SSO Request while it's being processed by the IdP.

Constructor Summary
`protected` | `SSOProfileHandler.SSORequestContext()`

Method Summary
`Saml2LoginContext` | `getLoginContext()` Gets the current login context.
`void` | `setLoginContext(Saml2LoginContext context)` Sets the current login context.

Methods inherited from class edu.internet2.middleware.shibboleth.idp.profile.saml2.BaseSAML2ProfileRequestContext
`getFailureStatus, setFailureStatus`

Methods inherited from class edu.internet2.middleware.shibboleth.common.profile.provider.BaseSAMLProfileRequestContext
`getAttributes, getMessageDecoder, getMessageEncoder, getPrincipalAuthenticationMethod, getPrincipalName, getProfileConfiguration, getReleasedAttributes, getRelyingPartyConfiguration, getRequestedAttributesIds, getUserSession, setAttributes, setMessageDecoder, setMessageEncoder, setPrincipalAuthenticationMethod, setPrincipalName, setProfileConfiguration, setReleasedAttributes, setRelyingPartyConfiguration, setRequestedAttributes, setUserSession`

Methods inherited from class org.opensaml.common.binding.BasicSAMLMessageContext
`getInboundSAMLMessage, getInboundSAMLMessageId, getInboundSAMLMessageIssueInstant, getInboundSAMLProtocol, getLocalEntityId, getLocalEntityMetadata, getLocalEntityRole, getLocalEntityRoleMetadata, getMetadataProvider, getOuboundSAMLMessageSigningCredential, getOutboundMessageArtifactType, getOutboundSAMLMessage, getOutboundSAMLMessageId, getOutboundSAMLMessageIssueInstant, getOutboundSAMLProtocol, getPeerEntityEndpoint, getPeerEntityId, getPeerEntityMetadata, getPeerEntityRole, getPeerEntityRoleMetadata, getRelayState, getSubjectNameIdentifier, isInboundSAMLMessageAuthenticated, isIssuerAuthenticated, setInboundSAMLMessage, setInboundSAMLMessageAuthenticated, setInboundSAMLMessageId, setInboundSAMLMessageIssueInstant, setInboundSAMLProtocol, setLocalEntityId, setLocalEntityMetadata, setLocalEntityRole, setLocalEntityRoleMetadata, setMetadataProvider, setOutboundMessageArtifactType, setOutboundSAMLMessage, setOutboundSAMLMessageId, setOutboundSAMLMessageIssueInstant, setOutboundSAMLMessageSigningCredential, setOutboundSAMLProtocol, setPeerEntityEndpoint, setPeerEntityId, setPeerEntityMetadata, setPeerEntityRole, setPeerEntityRoleMetadata, setRelayState, setSubjectNameIdentifier`

Methods inherited from class org.opensaml.ws.message.BaseMessageContext
`getCommunicationProfileId, getInboundMessage, getInboundMessageIssuer, getInboundMessageTransport, getOutboundHandlerChainResolver, getOutboundMessage, getOutboundMessageIssuer, getOutboundMessageTransport, getPostSecurityInboundHandlerChainResolver, getPreSecurityInboundHandlerChainResolver, getSecurityPolicyResolver, setCommunicationProfileId, setInboundMessage, setInboundMessageIssuer, setInboundMessageTransport, setOutboundHandlerChainResolver, setOutboundMessage, setOutboundMessageIssuer, setOutboundMessageTransport, setPostSecurityInboundHandlerChainResolver, setPreSecurityInboundHandlerChainResolver, setSecurityPolicyResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opensaml.common.binding.SAMLMessageContext
`getInboundSAMLMessage, getInboundSAMLMessageId, getInboundSAMLMessageIssueInstant, getInboundSAMLProtocol, getLocalEntityId, getLocalEntityMetadata, getLocalEntityRole, getLocalEntityRoleMetadata, getMetadataProvider, getOuboundSAMLMessageSigningCredential, getOutboundMessageArtifactType, getOutboundSAMLMessage, getOutboundSAMLMessageId, getOutboundSAMLMessageIssueInstant, getOutboundSAMLProtocol, getPeerEntityEndpoint, getPeerEntityId, getPeerEntityMetadata, getPeerEntityRole, getPeerEntityRoleMetadata, getRelayState, getSubjectNameIdentifier, isInboundSAMLMessageAuthenticated, setInboundSAMLMessage, setInboundSAMLMessageAuthenticated, setInboundSAMLMessageId, setInboundSAMLMessageIssueInstant, setInboundSAMLProtocol, setLocalEntityId, setLocalEntityMetadata, setLocalEntityRole, setLocalEntityRoleMetadata, setMetadataProvider, setOutboundMessageArtifactType, setOutboundSAMLMessage, setOutboundSAMLMessageId, setOutboundSAMLMessageIssueInstant, setOutboundSAMLMessageSigningCredential, setOutboundSAMLProtocol, setPeerEntityEndpoint, setPeerEntityId, setPeerEntityMetadata, setPeerEntityRole, setPeerEntityRoleMetadata, setRelayState, setSubjectNameIdentifier`

Methods inherited from interface org.opensaml.ws.message.MessageContext
`getCommunicationProfileId, getInboundMessage, getInboundMessageIssuer, getInboundMessageTransport, getOutboundHandlerChainResolver, getOutboundMessage, getOutboundMessageIssuer, getOutboundMessageTransport, getPostSecurityInboundHandlerChainResolver, getPreSecurityInboundHandlerChainResolver, getSecurityPolicyResolver, isIssuerAuthenticated, setCommunicationProfileId, setInboundMessage, setInboundMessageIssuer, setInboundMessageTransport, setOutboundHandlerChainResolver, setOutboundMessage, setOutboundMessageIssuer, setOutboundMessageTransport, setPostSecurityInboundHandlerChainResolver, setPreSecurityInboundHandlerChainResolver, setSecurityPolicyResolver`

Methods inherited from interface org.opensaml.ws.message.MessageContext
`getCommunicationProfileId, getInboundMessage, getInboundMessageIssuer, getInboundMessageTransport, getOutboundHandlerChainResolver, getOutboundMessage, getOutboundMessageIssuer, getOutboundMessageTransport, getPostSecurityInboundHandlerChainResolver, getPreSecurityInboundHandlerChainResolver, getSecurityPolicyResolver, isIssuerAuthenticated, setCommunicationProfileId, setInboundMessage, setInboundMessageIssuer, setInboundMessageTransport, setOutboundHandlerChainResolver, setOutboundMessage, setOutboundMessageIssuer, setOutboundMessageTransport, setPostSecurityInboundHandlerChainResolver, setPreSecurityInboundHandlerChainResolver, setSecurityPolicyResolver`

Constructor Detail

### SSOProfileHandler.SSORequestContext

    protected SSOProfileHandler.SSORequestContext()

Method Detail

### getLoginContext

    public Saml2LoginContext getLoginContext()

  Gets the current login context.

  Returns:
    current login context

### setLoginContext

    public void setLoginContext(Saml2LoginContext context)

  Sets the current login context.

  Parameters:
    `context` - current login context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2009 Internet2. All Rights Reserved.